
QGIS Application - Bug report #20941

QGIS crashes after trying to open any document local or from network

2019-01-08 11:11 AM - Stadt Labor

Status: Closed

Priority: High

Assignee:

Category: Data Source Manager

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28760

Description

The problem exists on all of our 6 computers.

Crash ID: adc484fa34dbc1aa2e90ed100437f5c44a4f5e9a

Stack Trace

EtwEventSetInformation :

TranslateMessageEx :

CallWindowProcW :

CallWindowProcW :

CreateUpDownControl :

DefSubclassProc :

DefSubclassProc :

Ordinal131 :

Ordinal131 :

Ordinal131 :

DefSubclassProc :

DefSubclassProc :

TranslateMessageEx :

SetWindowTextW :

IsDialogMessageW :

KiUserCallbackDispatcher :

SetWindowPos :

UpdateWindow :

TaskDialog :

TaskDialog :

TranslateMessageEx :

CallWindowProcW :

CallWindowProcW :

CreateUpDownControl :

DefSubclassProc :

DefSubclassProc :

Ordinal131 :

Ordinal131 :

Ordinal131 :

DefSubclassProc :

DefSubclassProc :

TranslateMessageEx :

TranslateMessage :
IsDialogMessageW :

GetComboBoxInfo :

GetComboBoxInfo :

DialogBoxIndirectParamAorW :

DialogBoxIndirectParamW :

DllCanUnloadNow :

QDialog::exec :

QFileDialog::getOpenFileUrl :

QFileDialog::getOpenFileName :

QgisApp::fileOpen :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: 2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601
History

#1 - 2019-01-09 01:11 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Did you tried with a new/clean profile?

Does it crashes on 2.18?

#2 - 2019-02-11 12:28 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

#3 - 2019-02-11 10:23 AM - Stadt Labor

Giovanni Manghi wrote:

Did you tried with a new/clean profile?

Does it crashes on 2.18?

We fixed it just by installing the 32bit version of qgis 3.4 madeira instead of the 64bit even that all of our computers are running 64bit versions of windows.
